Write-Output "-------------------------------"
$settingsfile = "settings.json"
$settings = Get-Content -Raw $settingsfile | ConvertFrom-Json
$subdomain = $settings.PhishXSubdomain
$TenantJSONFile = $settings.TenantJSONFile
$tenantobj = Get-Content -Raw $TenantJSONFile | ConvertFrom-Json
$tenant = $tenantobj.id
$tenantname = $tenantobj.name
$tenantdomain = $settings.MAINDOMAIN
$appfile = $settings.APPJSONFile
$app = Get-Content -Raw $appfile | ConvertFrom-Json
$client_id = $app.AppId
$object_id = $app.ObjectId
$secretfile = $settings.SECRETJSONfile
$secret = Get-Content -Raw $secretfile | ConvertFrom-Json
$client_secret = $secret.Value
$urlstate = $subdomain + "|" + $client_id + "|" + $object_id + "|" + $client_secret + "|" + $tenant + "|" + $tenantname + "|" + $tenantdomain
$urlstateencoded = [System.Web.HttpUtility]::UrlEncode($urlstate)
$urlredirect = "https://" + $subdomain + ".phishx.io/live/en/microsoftgraph"
$url = "https://login.microsoftonline.com/" + $tenant + "/adminconsent?client_id=" + $client_id + "&state=" + $urlstateencoded + "&redirect_uri=" + $urlredirect
Write-Output "-------------------------------"
Write-Output "Admin Consent URL:"
$url | Write-Output
Write-Output "-------------------------------"
Write-Output "Admin Console URL:"
$consoleurl = "https://portal.azure.com/#view/Microsoft_AAD_RegisteredApps/ApplicationMenuBlade/~/CallAnAPI/appId/" + $app.AppId + "/isMSAApp~/false"
$consoleurl | Write-Output
Write-Output "-------------------------------"
Write-Output "subdomain: $subdomain"
Write-Output "tenant_id: $tenant"
Write-Output "tenant_name: $tenantname"
Write-Output "tenant_domain: $tenantdomain"
Write-Output "client_id: $client_id"
Write-Output "object_id: $object_id"
Write-Output "Secret Value: $client_secret"
Write-Output "-------------------------------"
