Write-Output "-------------------------------"
$settingsfile = "settings.json"
$settings = Get-Content -Raw $settingsfile | ConvertFrom-Json
$TenantJSONFile = $settings.TenantJSONFile
$tenant = Get-Content -Raw $TenantJSONFile | ConvertFrom-Json
$appName = $settings.appName + "-" + $settings.random
$appURI = "https://" + $settings.PhishXSubdomain + "." + $settings.MAINDOMAIN
$appHomePageUrl = $settings.appHomePageUrl
$appReplyURLs = @("https://" + $settings.PhishXSubdomain + ".phishx.io/live/en/microsoftgraph")
Write-Output "App Registration"
# Write-Output $settings
$OutputName = "Name: " + $appName
Write-Output $OutputName
$OutputURI = "URI: " + $appURI
Write-Output $OutputURI
if(!($myApp = Get-AzureADApplication -Filter "IdentifierUris eq '$($appURI)'" -ErrorAction SilentlyContinue))
{
  $myApp = New-AzureADApplication -DisplayName $appName -IdentifierUris $appURI -Homepage $appHomePageUrl -ReplyUrls $appReplyURLs
}
$data = [pscustomobject] @{
  AppId = $myApp.AppId
  ObjectId = $myApp.ObjectId
  name = $myApp.DisplayName
}
$APPJSONFile = $settings.APPJSONFile
$data | ConvertTo-Json -Compress | Out-File $APPJSONFile
